Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.touch
Class StandardMultiTouchActions

    java.lang.Object
      com.maryanovsky.map.client.actions.StandardActions
          com.maryanovsky.map.client.actions.touch.StandardMultiTouchActions

    public class StandardMultiTouchActions

extends StandardActions

Implementats the standard actions which allow the user to interact with the map on an iPhone.

Author:
  Maryanovsky Alexander

Constructor Summary
`StandardMultiTouchActions()`

Method Summary
`void` | `addAll(MapWidget mapWidget)` Adds all the standard actions to the specified map widget.
`static void` | `addAll(MapWidget mapWidget, boolean isAnimated)` Adds all the standard actions, with optionally animated transitions, to the specified map widget.
`static TapRecognizer` | `addDoubleTapZoomInAction(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget which will zoom in on the point the user double-tapped on.
`static DragRecognizer` | `addDragPanAction(MapWidget mapWidget)` Adds an action to the specified map widget which will pan the map when the user drags his finger.
`static PinchRecognizer` | `addPinchMagnifyAction(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget which will magnify and zoom the map when the user pinches the map widget.
`static MultiFingerTapRecognizer` | `addTwoFingerTapZoomOutAction(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget which will zoom out when the user taps with two fingers.

Methods inherited from class com.maryanovsky.map.client.actions.StandardActions
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardMultiTouchActions

    public StandardMultiTouchActions()

Method Detail

### addDoubleTapZoomInAction

    public static TapRecognizer addDoubleTapZoomInAction(MapWidget mapWidget,
                                                         boolean isAnimated)

  Adds an action to the specified map widget which will zoom in on the point the user double-tapped on. The zoom-in transition is optionally animated. Returns the `TapRecognizer` responsible for recognizing the double-tap gestures.

### addTwoFingerTapZoomOutAction

    public static MultiFingerTapRecognizer addTwoFingerTapZoomOutAction(MapWidget mapWidget,
                                                                        boolean isAnimated)

  Adds an action to the specified map widget which will zoom out when the user taps with two fingers. The zoom-out transition is optionally animated. Returns the `MultiFingerTapRecognizer` responsible for recognizing the two-finger tap.

### addDragPanAction

    public static DragRecognizer addDragPanAction(MapWidget mapWidget)

  Adds an action to the specified map widget which will pan the map when the user drags his finger. Returns the `DragRecognizer` responsible for recognizing the drag gesture.

### addPinchMagnifyAction

    public static PinchRecognizer addPinchMagnifyAction(MapWidget mapWidget,
                                                        boolean isAnimated)

  Adds an action to the specified map widget which will magnify and zoom the map when the user pinches the map widget. The final zoom transition is optionally animated. Returns the `PinchRecognizer` responsible for recognizing the pinch gesture.

### addAll

    public static void addAll(MapWidget mapWidget,
                              boolean isAnimated)

  Adds all the standard actions, with optionally animated transitions, to the specified map widget.

### addAll

    public void addAll(MapWidget mapWidget)

  Adds all the standard actions to the specified map widget.

  Specified by:
    `addAll` in class `StandardActions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD